<%--3bcc85f6bef23a296d7a88a0285b83482011/6/23 6:45:12--%>
<%@ Page language="c#" AutoEventWireup="false" EnableViewState="false" Inherits="Kcms.UI.ask_askcom" %>
<%@ Import namespace="Kcms.Model" %>
<script runat="server">
protected override void OnInit(EventArgs e)
{
	/*
	本页面代码由Kcms模板引擎生成于 2011/6/29 17:01:04.
	*/
	base.OnInit(e);
	pageBuilder.Append("<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">\r\n");
	pageBuilder.Append("<html xmlns=\"http://www.w3.org/1999/xhtml\">\r\n");
	pageBuilder.Append("<head>\r\n");
	pageBuilder.Append("<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\" />\r\n");
	pageBuilder.Append("<title>问题操作</title>\r\n");
	pageBuilder.Append("<link href=\"templates/default/styles/kcms.css\" rel=\"stylesheet\" type=\"text/css\" />\r\n");
	pageBuilder.Append("    <script src=\"scripts/jquery-1.4.1.min.js\" type=\"text/javascript\"></");
	pageBuilder.Append("script>\r\n");
	pageBuilder.Append("    <script src=\"inc/kindeditor/kindeditor-min.js\" type=\"text/javascript\"></");
	pageBuilder.Append("script>\r\n");
	pageBuilder.Append("    <script src=\"scripts/public.js\" type=\"text/javascript\"></");
	pageBuilder.Append("script>\r\n");
	pageBuilder.Append("    <script src=\"inc/artDialog/artDialog.min.js\" type=\"text/javascript\"></");
	pageBuilder.Append("script>\r\n");
	pageBuilder.Append("    <script type=\"text/javascript\">\r\n");
	pageBuilder.Append("        $(function () {\r\n");
	pageBuilder.Append("            $(\"#postform\").submit(function () {\r\n");
	pageBuilder.Append("                if ($(\"#postsubmit\").attr(\"disabled\") == true) {\r\n");
	pageBuilder.Append("                    return false;\r\n");
	pageBuilder.Append("                }\r\n");
	pageBuilder.Append("                $(\"#postsubmit\").attr(\"disabled\", \"disabled\");\r\n");
	pageBuilder.Append("                var flag = true;\r\n");
	pageBuilder.Append("                if ($(\"#contentnum\").html() == \"0\") {\r\n");
	pageBuilder.Append("                    $(\"#content_tip\").html(\"请填写回答内容！\");\r\n");
	pageBuilder.Append("                    $(\"#postsubmit\").attr(\"disabled\", \"\");\r\n");
	pageBuilder.Append("                    flag = false;\r\n");
	pageBuilder.Append("                }\r\n");
	pageBuilder.Append("                if ($(\"#xsf\").val() == \"\") {\r\n");
	pageBuilder.Append("                    $(\"#xsf_tip\").html(\"请填写新悬赏分！\");\r\n");
	pageBuilder.Append("                    $(\"#postsubmit\").attr(\"disabled\", \"\");\r\n");
	pageBuilder.Append("                    flag = false;\r\n");
	pageBuilder.Append("                }\r\n");
	pageBuilder.Append("                return flag;\r\n");
	pageBuilder.Append("            });\r\n");
	pageBuilder.Append("        });\r\n");
	pageBuilder.Append("    </");
	pageBuilder.Append("script>\r\n");
	pageBuilder.Append("</head>\r\n");
	pageBuilder.Append("<body>\r\n");
	pageBuilder.Append("<div class=\"shortbox\">\r\n");

	if (act=="added")
	{

	pageBuilder.Append("    <script type=\"text/javascript\">\r\n");
	pageBuilder.Append("        EditorInit('postform', 'content', callCount);\r\n");
	pageBuilder.Append("    </");
	pageBuilder.Append("script>\r\n");
	pageBuilder.Append("<form id=\"postform\" action=\"\" method=\"post\">\r\n");
	pageBuilder.Append("		<fieldset>\r\n");
	pageBuilder.Append("			<legend>问题标题</legend>\r\n");
	pageBuilder.Append("			<div class=\"a_d\">");
	pageBuilder.Append(askinfo.title.ToString().Trim());
	pageBuilder.Append("</div>\r\n");
	pageBuilder.Append("		</fieldset>\r\n");
	pageBuilder.Append("		<fieldset>\r\n");
	pageBuilder.Append("			<legend>问题内容</legend>\r\n");
	pageBuilder.Append("			<div class=\"a_d\">");
	pageBuilder.Append(askinfo.content.ToString().Trim());
	pageBuilder.Append("</div>\r\n");
	pageBuilder.Append("		</fieldset>\r\n");
	pageBuilder.Append("        <br />\r\n");
	pageBuilder.Append("		补充内容\r\n");
	pageBuilder.Append("			<div class=\"a_c\"><textarea name=\"content\" rows=\"8\" style=\"width:100%\">");
	pageBuilder.Append(askinfo.added.ToString().Trim());
	pageBuilder.Append("</textarea></div>\r\n");
	pageBuilder.Append("            <div class=\"a_i\"><em><span id=\"content_tip\"></span></em>已输入<span id=\"contentnum\">200</span>字</div>\r\n");
	pageBuilder.Append("            <div class=\"a_s\">\r\n");
	pageBuilder.Append("               <input type=\"submit\" name=\"button\" id=\"Submit1\" value=\" 提交修改 \" /> \r\n");
	pageBuilder.Append("               <input type=\"button\" name=\"button2\" id=\"button2\" value=\"  取 消  \"/>\r\n");
	pageBuilder.Append("            </div>\r\n");
	pageBuilder.Append("</form>\r\n");

	}	//end if


	if (act=="tgxs")
	{

	pageBuilder.Append("<form id=\"postform\" action=\"\" method=\"post\">\r\n");
	pageBuilder.Append("		<fieldset>\r\n");
	pageBuilder.Append("			<legend>问题标题</legend>\r\n");
	pageBuilder.Append("			<div class=\"a_d\">");
	pageBuilder.Append(askinfo.title.ToString().Trim());
	pageBuilder.Append("</div>\r\n");
	pageBuilder.Append("		</fieldset>\r\n");
	pageBuilder.Append("		<fieldset>\r\n");
	pageBuilder.Append("			<legend>问题内容</legend>\r\n");
	pageBuilder.Append("			<div class=\"a_d\">");
	pageBuilder.Append(askinfo.content.ToString().Trim());
	pageBuilder.Append("</div>\r\n");
	pageBuilder.Append("		</fieldset>\r\n");
	pageBuilder.Append("        <br />\r\n");
	pageBuilder.Append("        提高悬赏\r\n");
	pageBuilder.Append("			<div class=\"a_c\">现在的悬赏分：");
	pageBuilder.Append(askinfo.xsf.ToString().Trim());
	pageBuilder.Append("</div>\r\n");
	pageBuilder.Append("            <div class=\"a_c\">提高悬赏分为：\r\n");
	pageBuilder.Append("                <input name=\"xsf\" type=\"text\" style=\"width:38px\" id=\"xsf\" value=\"\" class=\"inputs\" onkeyup=\"this.value=this.value.replace(/\\D/g,'')\" onpaste=\"return false\" style=\"ime-mode:disabled\"/> 您当前的可用分<span id=\"score\">");
	pageBuilder.Append(userscore.ToString());
	pageBuilder.Append("</span>分\r\n");
	pageBuilder.Append("            </div>\r\n");
	pageBuilder.Append("            <div class=\"a_i\"><em><span id=\"xsf_tip\"></span></em></div>\r\n");
	pageBuilder.Append("            <div class=\"a_s\">\r\n");
	pageBuilder.Append("               <input type=\"submit\" name=\"button\" id=\"postsubmit\" value=\" 提交修改 \" /> \r\n");
	pageBuilder.Append("               <input type=\"button\" name=\"button2\" id=\"button1\" value=\"  取 消  \"/>\r\n");
	pageBuilder.Append("            </div>\r\n");
	pageBuilder.Append("</form>\r\n");

	}	//end if


	if (act=="wmy")
	{

	pageBuilder.Append("<form id=\"Form1\" action=\"\" method=\"post\">\r\n");
	pageBuilder.Append("		<fieldset>\r\n");
	pageBuilder.Append("			<legend>问题标题</legend>\r\n");
	pageBuilder.Append("			<div class=\"a_d\">");
	pageBuilder.Append(askinfo.title.ToString().Trim());
	pageBuilder.Append("</div>\r\n");
	pageBuilder.Append("		</fieldset>\r\n");
	pageBuilder.Append("		<fieldset>\r\n");
	pageBuilder.Append("			<legend>问题内容</legend>\r\n");
	pageBuilder.Append("			<div class=\"a_d\">");
	pageBuilder.Append(askinfo.content.ToString().Trim());
	pageBuilder.Append("</div>\r\n");
	pageBuilder.Append("		</fieldset>\r\n");
	pageBuilder.Append("        <br />\r\n");
	pageBuilder.Append("        无满意结束提问：\r\n");
	pageBuilder.Append("		<div class=\"a_c\">确定无满意结束提问吗？你和回答者都无法得分，也不会退还你的悬赏分。</div>\r\n");
	pageBuilder.Append("            <div class=\"a_s\">\r\n");
	pageBuilder.Append("               <input type=\"submit\" name=\"button\" id=\"Submit2\" value=\" 提交修改 \" /> \r\n");
	pageBuilder.Append("               <input type=\"button\" name=\"button2\" id=\"button3\" value=\"  取 消  \"/>\r\n");
	pageBuilder.Append("            </div>\r\n");
	pageBuilder.Append("</form>\r\n");

	}	//end if


	if (act=="cn")
	{

	pageBuilder.Append("<form id=\"Form2\" action=\"\" method=\"post\">\r\n");
	pageBuilder.Append("		<fieldset>\r\n");
	pageBuilder.Append("			<legend>问题标题</legend>\r\n");
	pageBuilder.Append("			<div class=\"a_d\">");
	pageBuilder.Append(askinfo.title.ToString().Trim());
	pageBuilder.Append("</div>\r\n");
	pageBuilder.Append("		</fieldset>\r\n");
	pageBuilder.Append("        <br />\r\n");
	pageBuilder.Append("        确定采纳此回答为最佳答案吗？\r\n");
	pageBuilder.Append("		<div class=\"a_c\">选择满意度：\r\n");
	pageBuilder.Append("        <div class=\"myd\">\r\n");
	pageBuilder.Append("              <input name=\"star\" type=\"radio\" value=\"1\"/>☆ \r\n");
	pageBuilder.Append("              <input name=\"star\" type=\"radio\" value=\"2\"/>☆☆ \r\n");
	pageBuilder.Append("              <input name=\"star\" type=\"radio\" value=\"3\" checked=\"checked\"/>☆☆☆ \r\n");
	pageBuilder.Append("              <input name=\"star\" type=\"radio\" value=\"4\"/>☆☆☆☆ \r\n");
	pageBuilder.Append("              <input name=\"star\" type=\"radio\" value=\"5\"/>☆☆☆☆☆\r\n");
	pageBuilder.Append("        </div>\r\n");
	pageBuilder.Append("        </div>\r\n");
	pageBuilder.Append("            <div class=\"a_s\">\r\n");
	pageBuilder.Append("               <input type=\"submit\" name=\"button\" id=\"Submit3\" value=\" 采纳答案 \" /> \r\n");
	pageBuilder.Append("               <input type=\"button\" name=\"button2\" id=\"button4\" value=\"  取 消  \"/>\r\n");
	pageBuilder.Append("            </div>\r\n");
	pageBuilder.Append("</form>\r\n");

	}	//end if

	pageBuilder.Append("</div>\r\n");
	pageBuilder.Append("</body>\r\n");
	pageBuilder.Append("</html>\r\n");
	Response.Write(pageBuilder.ToString());
}
</script>
